Providers 50 endpoints

GET /integrations/connectwise/{UUID}

Retrieves configuration for given ConnectWise integration id. You must be associated to the provider the integration is tied to in order to use this api.

operationId: connectwise_getConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/connectwise/{UUID}
PATCH /integrations/connectwise/{UUID}

Update the ConnectWise integration configuration. A 422 Unprocessable Entity response means the server failed to validate with ConnectWise.

operationId: connectwise_updateConfiguration

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema ConnectwiseIntegrationPatchReq
Property Type Required
url string optional
companyId string optional
publicKey string optional
privateKey string optional

Responses

200

OK

400
401
403
404
422

Unprocessable Entity. The server failed to validate credentials with ConnectWise.

500
PATCH /integrations/connectwise/{UUID}
GET /integrations/connectwise/{UUID}/agreements

Retrieves a list of ConnectWise agreements for the given ConnectWise id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

operationId: connectwise_retrieveAgreements

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
400
401
403
404
500
GET /integrations/connectwise/{UUID}/agreements
GET /integrations/connectwise/{UUID}/agreements/{agreement_ID}/additions

Retrieves a list of ConnectWise additions for the given ConnectWise id and Agreement id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

operationId: connectwise_retrieveAdditions

Parameters

Name In Required Type Description
UUID path required string
agreement_ID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
400
401
403
404
500
GET /integrations/connectwise/{UUID}/agreements/{agreement_ID}/additions
GET /integrations/connectwise/{UUID}/companies

Retrieves a list of ConnectWise companies for the given ConnectWise id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

operationId: connectwise_retrieveCompanies

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/connectwise/{UUID}/companies
GET /integrations/connectwise/{UUID}/companytypes

Retrieves a list of user defined company types from ConnectWise for the given ConnectWise id.

operationId: connectwise_retrieveCompanyTypes

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/connectwise/{UUID}/companytypes
GET /integrations/connectwise/{UUID}/mappings

Retrieves the list of mappings for this ConnectWise integration. You must be associated to the same provider as the ConnectWise integration to use this api.

operationId: connectwise_retrieveMappings

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/connectwise/{UUID}/mappings
PATCH /integrations/connectwise/{UUID}/mappings

Create, edit, and/or delete mappings between Jumpcloud organizations and ConnectWise companies/agreements/additions. You must be associated to the same provider as the ConnectWise integration to use this api.

operationId: connectwise_patchMappings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema ConnectWiseMappingRequest
Property Type Required
data array optional
delete boolean optional
company object required
id string required
name string required
addition object optional
id string optional
name string optional
agreement object optional
id string optional
name string optional
organization object required
id string required
name string required

Responses

204

No Content

400
401
403
404
500
PATCH /integrations/connectwise/{UUID}/mappings
GET /integrations/connectwise/{UUID}/settings

Retrieve the ConnectWise integration settings. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

operationId: connectwise_retrieveSettings

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/connectwise/{UUID}/settings
PATCH /integrations/connectwise/{UUID}/settings

Create, edit, and/or delete ConnectWiseIntegration settings. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

operationId: connectwise_patchSettings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema ConnectWiseSettingsPatchReq
Property Type Required
companyTypeIds array optional
automaticTicketing boolean optional

Responses

200

OK

400
401
403
404
500
PATCH /integrations/connectwise/{UUID}/settings
DELETE /integrations/syncro/{UUID}

Removes a Syncro integration.

operationId: syncro_deleteConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

204

No Content

400
401
403
404
500
DELETE /integrations/syncro/{UUID}
GET /integrations/syncro/{UUID}

Retrieves configuration for given Syncro integration id. You must be associated to the provider the integration is tied to in order to use this api.

operationId: syncro_getConfiguration

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/syncro/{UUID}
PATCH /integrations/syncro/{UUID}

Update the Syncro integration configuration. A 422 Unprocessable Entity response means the server failed to validate with Syncro.

operationId: syncro_updateConfiguration

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema SyncroIntegrationPatchReq
Property Type Required
apiToken string optional
subdomain string optional

Responses

200

OK

400
401
403
404
422

Unprocessable Entity. The server failed to validate credentials with Syncro.

500
PATCH /integrations/syncro/{UUID}
GET /integrations/syncro/{UUID}/billing_mapping_configuration_options

Retrieves a list of dependencies for Syncro billing mappings.

operationId: syncro_retrieveBillingMappingConfigurationOptions

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/syncro/{UUID}/billing_mapping_configuration_options
GET /integrations/syncro/{UUID}/companies

Retrieves a list of Syncro companies for the given Syncro id. You must be associated to the same provider as the Syncro integration to use this endpoint.

operationId: syncro_retrieveCompanies

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/syncro/{UUID}/companies
GET /integrations/syncro/{UUID}/mappings

Retrieves the list of mappings for this Syncro integration. You must be associated to the same provider as the Syncro integration to use this api.

operationId: syncro_retrieveMappings

Parameters

Name In Required Type Description
UUID path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /integrations/syncro/{UUID}/mappings
PATCH /integrations/syncro/{UUID}/mappings

Create, edit, and/or delete mappings between Jumpcloud organizations and Syncro companies. You must be associated to the same provider as the Syncro integration to use this api.

operationId: syncro_patchMappings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema SyncroMappingRequest
Property Type Required
data array optional
delete boolean optional
company object required
id string required
name string required
organization object required
id string required
name string required
billingConfigurations object optional
fields object optional
schedule_id object optional
line_item_id object optional
schedule_name object optional
line_item_name object optional

Responses

204

No Content

400
401
403
404
500
PATCH /integrations/syncro/{UUID}/mappings
GET /integrations/syncro/{UUID}/settings

Retrieve the Syncro integration settings. You must be associated to the same provider as the Syncro integration to use this endpoint.

operationId: syncro_retrieveSettings

Parameters

Name In Required Type Description
UUID path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/syncro/{UUID}/settings
PATCH /integrations/syncro/{UUID}/settings

Create, edit, and/or delete SyncroIntegration settings. You must be associated to the same provider as the Syncro integration to use this endpoint.

operationId: syncro_patchSettings

Parameters

Name In Required Type Description
UUID path required string

Request Body

application/json
schema SyncroSettingsPatchReq
Property Type Required
automaticTicketing boolean optional

Responses

200

OK

400
401
403
404
500
PATCH /integrations/syncro/{UUID}/settings
GET /integrations/{integration_type}/{UUID}/errors

Retrieves recent sync errors for given integration type and integration id. You must be associated to the provider the integration is tied to in order to use this api.

operationId: mtpIntegration_retrieveSyncErrors

Parameters

Name In Required Type Description
UUID path required string
integration_type path required string

Responses

200

OK

400
401
403
404
500
GET /integrations/{integration_type}/{UUID}/errors
GET /providers/{provider_id}

This endpoint returns details about a provider

operationId: providers_getProvider

Parameters

Name In Required Type Description
provider_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

Responses

200
400
401
403
404
500
GET /providers/{provider_id}
GET /providers/{provider_id}/administrators

This endpoint returns a list of the Administrators associated with the Provider. You must be associated with the provider to use this route.

operationId: providers_listAdministrators

Parameters

Name In Required Type Description
provider_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

sortIgnoreCase query optional array

The comma separated fields used to sort the collection, ignoring case.
Default sort is ascending, prefix with - to sort descending.

Responses

200
401
GET /providers/{provider_id}/administrators
POST /providers/{provider_id}/administrators

This endpoint allows you to create a provider administrator. You must be associated with the provider to use this route. You must provide either role or roleName.

operationId: providers_postAdmins

Parameters

Name In Required Type Description
provider_id path required string

Request Body

application/json
schema ProviderAdminReq
Property Type Required
role string optional
email string required
lastname string optional
roleName string optional
firstname string optional
bindNoOrgs boolean optional
apiKeyAllowed boolean optional
enableMultiFactor boolean optional

Responses

200
401
POST /providers/{provider_id}/administrators
DELETE /providers/{provider_id}/administrators/{id}

This endpoint removes an Administrator associated with the Provider. You must be associated with the provider to use this route.

operationId: providers_removeAdministrator

Parameters

Name In Required Type Description
provider_id path required string
id path required string

Responses

204

No Content

400
401
403
404
500
DELETE /providers/{provider_id}/administrators/{id}
GET /providers/{provider_id}/billing/contract

Retrieve contract for a Provider

operationId: Billing_GetContract

Parameters

Name In Required Type Description
provider_id path required string

Responses

default

An unexpected error response.

200

OK

401
403
404
500
GET /providers/{provider_id}/billing/contract
GET /providers/{provider_id}/billing/details

Retrieve billing details for a Provider

operationId: Billing_GetDetails

Parameters

Name In Required Type Description
provider_id path required string

Responses

default

An unexpected error response.

200

OK

401
403
404
500
GET /providers/{provider_id}/billing/details
GET /providers/{provider_id}/cases

This endpoint returns the cases (Support/Feature requests) for the provider

operationId: providers_providerListCase

Parameters

Name In Required Type Description
provider_id path required string
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

GET /providers/{provider_id}/cases
GET /providers/{provider_id}/configuredpolicytemplates

Retrieves a list of Configured Policy Templates for this provider.

operationId: policyGroupTemplates_listConfiguredPolicyTemplates

Parameters

Name In Required Type Description
provider_id path required string
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/configuredpolicytemplates
GET /providers/{provider_id}/configuredpolicytemplates/{id}

Retrieves a Configured Policy Templates for this provider and Id.

operationId: policyGroupTemplates_getConfiguredPolicyTemplate

Parameters

Name In Required Type Description
provider_id path required string
id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/configuredpolicytemplates/{id}
GET /providers/{provider_id}/integrations

Retrieves a list of integrations this provider has configured. You must be associated to the provider to use this endpoint.

operationId: providers_retrieveIntegrations

Parameters

Name In Required Type Description
provider_id path required string
filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations
POST /providers/{provider_id}/integrations/autotask

Creates a new Autotask integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with Autotask.

operationId: autotask_createConfiguration

Parameters

Name In Required Type Description
provider_id path required string

Request Body

application/json
schema AutotaskIntegrationReq
Property Type Required
secret string required
username string required

Responses

201

Created

400
401
403
404
409
422

Unprocessable Entity. The server failed to validate credentials with ConnectWise.

500
POST /providers/{provider_id}/integrations/autotask
GET /providers/{provider_id}/integrations/autotask/alerts/configuration

Get all Autotask ticketing alert configurations for a provider.

operationId: autotask_retrieveAllAlertConfigurations

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/autotask/alerts/configuration
GET /providers/{provider_id}/integrations/autotask/alerts/configuration/options

Get all Autotask ticketing alert configuration options for a provider.

operationId: autotask_retrieveAllAlertConfigurationOptions

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/autotask/alerts/configuration/options
PUT /providers/{provider_id}/integrations/autotask/alerts/{alert_UUID}/configuration

Update an Autotask ticketing alert’s configuration

operationId: autotask_updateAlertConfiguration

Parameters

Name In Required Type Description
provider_id path required string
alert_UUID path required string

Request Body

application/json
schema AutotaskTicketingAlertConfigurationRequest
Property Type Required
queue object optional
id integer optional
name string optional
source object optional
id integer optional
name string optional
status object required
id integer optional
name string optional
dueDays integer required
priority object required
id integer optional
name string optional
resource object optional
id integer optional
name string optional
role object optional
id integer optional
name string optional
destination string required
shouldCreateTickets boolean required

Responses

200

OK

400
401
403
404
500
PUT /providers/{provider_id}/integrations/autotask/alerts/{alert_UUID}/configuration
POST /providers/{provider_id}/integrations/connectwise

Creates a new ConnectWise integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with ConnectWise.

operationId: connectwise_createConfiguration

Parameters

Name In Required Type Description
provider_id path required string

Request Body

application/json
schema ConnectwiseIntegrationReq
Property Type Required
url string required
companyId string required
publicKey string required
privateKey string required

Responses

201

Created

400
401
403
404
409
422

Unprocessable Entity. The server failed to validate credentials with ConnectWise.

500
POST /providers/{provider_id}/integrations/connectwise
GET /providers/{provider_id}/integrations/connectwise/alerts/configuration

Get all ConnectWise ticketing alert configurations for a provider.

operationId: connectwise_retrieveAllAlertConfigurations

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/connectwise/alerts/configuration
GET /providers/{provider_id}/integrations/connectwise/alerts/configuration/options

Get all ConnectWise ticketing alert configuration options for a provider.

operationId: connectwise_retrieveAllAlertConfigurationOptions

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/connectwise/alerts/configuration/options
PUT /providers/{provider_id}/integrations/connectwise/alerts/{alert_UUID}/configuration

Update a ConnectWise ticketing alert’s configuration.

operationId: connectwise_updateAlertConfiguration

Parameters

Name In Required Type Description
provider_id path required string
alert_UUID path required string

Request Body

application/json
schema ConnectWiseTicketingAlertConfigurationRequest
Property Type Required
source object optional
id integer optional
name string optional
dueDays integer optional
priority object optional
id integer optional
name string optional
shouldCreateTickets boolean required

Responses

200

OK

400
401
403
404
500
PUT /providers/{provider_id}/integrations/connectwise/alerts/{alert_UUID}/configuration
POST /providers/{provider_id}/integrations/syncro

Creates a new Syncro integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with Syncro.

operationId: syncro_createConfiguration

Parameters

Name In Required Type Description
provider_id path required string

Request Body

application/json
schema SyncroIntegrationReq
Property Type Required
apiToken string required
subdomain string required

Responses

201

Created

400
401
403
404
409
422

Unprocessable Entity. The server failed to validate credentials with Syncro.

500
POST /providers/{provider_id}/integrations/syncro
GET /providers/{provider_id}/integrations/syncro/alerts/configuration

Get all Syncro ticketing alert configurations for a provider.

operationId: syncro_retrieveAllAlertConfigurations

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/syncro/alerts/configuration
GET /providers/{provider_id}/integrations/syncro/alerts/configuration/options

Get all Syncro ticketing alert configuration options for a provider.

operationId: syncro_retrieveAllAlertConfigurationOptions

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/syncro/alerts/configuration/options
PUT /providers/{provider_id}/integrations/syncro/alerts/{alert_UUID}/configuration

Update a Syncro ticketing alert’s configuration

operationId: syncro_updateAlertConfiguration

Parameters

Name In Required Type Description
provider_id path required string
alert_UUID path required string

Request Body

application/json
schema SyncroTicketingAlertConfigurationRequest
Property Type Required
status string optional
userId number optional
dueDays integer optional
priority string optional
username string optional
problemType string required
shouldCreateTickets boolean required

Responses

200

OK

400
401
403
404
500
PUT /providers/{provider_id}/integrations/syncro/alerts/{alert_UUID}/configuration
GET /providers/{provider_id}/integrations/ticketing/alerts

Get all ticketing alerts available for a provider’s ticketing integration.

operationId: mtpIntegration_retrieveAlerts

Parameters

Name In Required Type Description
provider_id path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/integrations/ticketing/alerts
GET /providers/{provider_id}/invoices

Retrieves a list of invoices for this provider. You must be associated to the provider to use this endpoint.

operationId: providers_retrieveInvoices

Parameters

Name In Required Type Description
provider_id path required string
skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/invoices
GET /providers/{provider_id}/invoices/{ID}

Retrieves an invoice for this provider. You must be associated to the provider to use this endpoint.

operationId: providers_retrieveInvoice

Parameters

Name In Required Type Description
provider_id path required string
ID path required string

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/invoices/{ID}
GET /providers/{provider_id}/organizations

This endpoint returns a list of the Organizations associated with the Provider. You must be associated with the provider to use this route.

operationId: providers_listOrganizations

Parameters

Name In Required Type Description
provider_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

sortIgnoreCase query optional array

The comma separated fields used to sort the collection, ignoring case.
Default sort is ascending, prefix with - to sort descending.

Responses

200
400
401
403
404
500
GET /providers/{provider_id}/organizations
POST /providers/{provider_id}/organizations

This endpoint creates a new organization under the provider

operationId: providerOrganizations_createOrg

Parameters

Name In Required Type Description
provider_id path required string

Request Body

application/json
schema CreateOrganization
Property Type Required
name string optional
maxSystemUsers integer optional

Responses

201

CREATED

400

A ‘Bad Request’ error will be returned in one of the following scenarios:

  • The request payload contains fields that are not allowed (only ‘name’ and ‘maxSystemUsers’ are allowed).
  • The user creating the org specifies ‘maxSystemUsers’ in the request payload but does not have the organizations.billing scope.
  • The required field ‘name’ is missing from the request payload or is an empty string or a string that only contains whitespaces.
403

A ‘Forbidden’ error will be returned if organization creation is disabled for the provider.

500
POST /providers/{provider_id}/organizations
PUT /providers/{provider_id}/organizations/{id}

This endpoint updates a provider’s organization

operationId: providerOrganizations_updateOrg

Parameters

Name In Required Type Description
provider_id path required string
id path required string

Request Body

application/json
schema Organization
Property Type Required
id string optional
name string optional
maxSystemUsers integer optional

Responses

200

OK

PUT /providers/{provider_id}/organizations/{id}
GET /providers/{provider_id}/policygrouptemplates

Retrieves a list of Policy Group Templates for this provider.

operationId: policyGroupTemplates_list

Parameters

Name In Required Type Description
provider_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

limit query optional integer

The number of records to return at once. Limited to 100.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

Responses

200

OK

400
401
403
404
500
GET /providers/{provider_id}/policygrouptemplates
DELETE /providers/{provider_id}/policygrouptemplates/{id}

Deletes a Policy Group Template.

operationId: policyGroupTemplates_delete

Parameters

Name In Required Type Description
provider_id path required string
id path required string

Responses

201

NO_CONTENT

400
401
403
404
500
DELETE /providers/{provider_id}/policygrouptemplates/{id}
Load more endpoints